<template>
 <v-menu 
    transition="slide-y-transition"
    
 >
    <v-toolbar-title slot="activator">
        <span>{{currentLanguage}}</span>
          <v-icon dark>arrow_drop_down</v-icon>
    </v-toolbar-title>

    <v-list>
          <v-list-tile
            v-for="language in languages"
            :key="language.value"
            @click.prevent="updateLanguage(language.value)"
          >
            <v-list-tile-title v-text="language.label"></v-list-tile-title>
          </v-list-tile>
        </v-list>
</v-menu>

</template>
<script>
  import {mapActions} from 'vuex';
  export default {
    name: 'language-selector',
    data () {
      return {
        selected_language: 'es',
        languages: [
          { value: 'es', label: 'Español' },
          { value: 'en', label: 'English' },
        ]
      }
    },
    methods: {
      ...mapActions([
        'globalTypes_actions_changeLanguage'
      ]),
      updateLanguage (language) {
        this.selected_language = language;
        this.globalTypes_actions_changeLanguage(this.selected_language);
        this.$i18n.locale = this.selected_language;
      }
    },
    computed: {
      currentLanguage () {
        return this.languages.filter(language => language.value === this.selected_language)[0].label;
      }
    }
  }
</script>
